<?xml version="1.0"?>
<!--
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */
-->

<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
	<body>
        <referenceContainer name="legal">
            <referenceContainer name="legal.copyright">
                <referenceBlock name="copyright" class="WriteTextAI\WriteTextAI\Block\Adminhtml\Footer"
                    template="WriteTextAI_WriteTextAI::footer/copyright.phtml"
                />
            </referenceContainer>
            <referenceContainer name="legal.system">
                <container name="footer_left_container" htmlTag="div" htmlClass="additional-information" before="-">
                    <block name="wtai.total.credits" template="WriteTextAI_WriteTextAI::footer/total_credits.phtml">
                        <arguments>
                            <argument name="premium" xsi:type="object">WriteTextAI\WriteTextAI\ViewModel\Premium</argument>
                            <argument name="footer" xsi:type="object">WriteTextAI\WriteTextAI\ViewModel\Footer</argument>
                        </arguments>
                    </block>
                </container>
            </referenceContainer>
        </referenceContainer>
		<move element="legal.copyright" after="legal.system" destination="legal" />
        <referenceBlock name="session.activity.link" remove="true" />
        <referenceBlock name="report" remove="true" />
        <referenceBlock name="version" remove="true" />
        <referenceBlock name="privacyPolicy" remove="true" />
	</body>
</page>